DOM::StyleSheetList Class Reference

`#include <css_stylesheet.h>`

## Public Member Functions

| StyleSheetList (const StyleSheetList &other)
| StyleSheetList (StyleSheetListImpl *impl)
StyleSheetList & | operator= (const StyleSheetList &other)
unsigned long | length () const
StyleSheet | item (unsigned long index)
StyleSheetListImpl * | handle () const
bool | isNull () const

## Protected Attributes

StyleSheetListImpl * | impl

## Detailed Description

The `StyleSheetList` interface provides the abstraction of an ordered collection of style sheets.

Definition at line 309 of file css_stylesheet.h.

## Member Function Documentation

StyleSheet StyleSheetList::item | ( | unsigned long | index | ) |

Used to retrieve a style sheet by ordinal index.

Parameters

  index | Index into the collection

Returns
  The style sheet at the `index` position in the `StyleSheetList` , or `null` if that is not a valid index.

Definition at line 242 of file css_stylesheet.cpp.

unsigned long StyleSheetList::length | ( |  | ) | const

The number of `StyleSheet` in the list.

The range of valid child stylesheet indices is `0` to `length-1` inclusive.

Definition at line 236 of file css_stylesheet.cpp.

The documentation for this class was generated from the following files:

- css_stylesheet.h
- css_stylesheet.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys